Get the report download URL for polling

This endpoint asynchronously generates a report, based on the specified format. If successful it returns the status Accepted and sets the URL of the newly generated report in the response header under a header called Location.
You can then obtain the report name and pass it to the next endpoint (Download report file by URL):
1. Click Headers at the bottom of the response to see the URL.
2. Copy only the name of the report (after the /download/ part) and paste to the reportName for download.

Permissions required:
The service user that you use for this call should have the required permissions. To learn more, see Reports permissions.

Path Params
number
required

The ID of the report to download. You can get this from the response of Read company reports ↗, or from the report’s URL in Bob's UI.

Note⚠️: To use this endpoint, replace reportId in the path with a valid report ID from your account. If left blank or set to an invalid ID, the request will return an error.

Query Params
string
enum
required
Defaults to csv

File format

Allowed:
boolean

Should include info

string

Requested language for the report columns in the format of the locale (e.g. fr-FR). If this is not provided, the user preferences locale is used.

string

Optional field. Only enforced when format is json.
If not sent: supply machine-readable values only. If you pass an invalid value it will be ignored.

Possible values:

APPEND - include the additional "humanReadable" JSON node in the response.

REPLACE - supply humanReadable values in JSON instead of machine-readable format.

Responses
200

Report URL under "Location" in the response header.

202

Accepted - Report generation started

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json